---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3e541f52-5aa3-541a-a508-e57b8266f863
      tier: AATSR_CMP_MONTH
      value: 0.042996086180210114
    brdf:
      alpha_1:
        band_1: 0.11069215471322258
        band_11: 0.0636062049558103
        band_12: 0.015609296306018816
        band_2: 0.11069215471322258
        band_3: 0.18005778919781543
        band_4: 0.043676593488921445
        band_5: 0.043676593488921445
        band_6: 0.043676593488921445
        band_7: 0.4834140541556291
        band_8: 0.4834140541556291
        band_8a: 0.4834140541556291
      alpha_2:
        band_1: 0.25264907807611087
        band_11: 0.25049981152415074
        band_12: 0.2750127715396854
        band_2: 0.25264907807611087
        band_3: 0.2530348923546841
        band_4: 0.27292838990004226
        band_5: 0.27292838990004226
        band_6: 0.27292838990004226
        band_7: 0.1609655310000975
        band_8: 0.1609655310000975
        band_8a: 0.1609655310000975
      id:
      - ff1ebaf3-5e77-5cb4-a352-54c2b8959fa2
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 996d2a44-c4de-5d21-ad4c-fe5382829740
      tier: DEFINITIVE
      value: 0.303
    water_vapour:
      id:
      - 21097a93-b7e2-5980-a63b-109c36224ddd
      tier: DEFINITIVE
      value: 1.0699999809265137
  id: dc33b06f-f74c-43f1-81c7-b22c80dbc542
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1988.7639862675044
      BAND-11: 244.55949969529286
      BAND-12: 85.56293828560904
      BAND-2: 2041.800152248042
      BAND-3: 1913.369432159933
      BAND-4: 1561.856908443778
      BAND-5: 1442.044127503761
      BAND-6: 1318.435117581533
      BAND-7: 1211.918236663335
      BAND-8: 1065.556672735006
      BAND-8A: 971.3907558443933
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2017-11-19 01:46:47.460000Z
    atime: 2022-08-26 21:30:55Z
    ctime: 2018-05-11 01:31:42Z
    mtime: 2017-11-21 21:41:09Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2017/2017-11/30S120E-35S125E/S2B_MSIL1C_20171119T014649_N0206_R074_T51JWF_20171120T131814.zip
  system_information:
    hostname: gadi-cpu-clx-1525.gadi.nci.org.au
    runtime_id: 5e8e209e-2586-11ed-8dfe-00000186fe80
    time_processed: 2022-08-26 21:30:56.048523Z
    uname: 'Linux gadi-cpu-clx-1525.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 171.0
    red: 7.0
    teal: 43.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 214
  granule: S2B_OPER_MSI_L1C_TL_EPAE_20171120T131814_A003675_T51JWF_N02.06
  ref_date: '2014-06-16T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/107/081/LC81070812014167LGN00_B6.TIF
  residual:
    abs:
      x: 0.5
      xy: 0.72
      y: 0.52
    abs_iterative_mean:
      x: 0.3
      xy: 0.36
      y: 0.19
    cep90: 0.57
    iterative_mean:
      x: 0.29
      xy: 0.29
      y: 0.0
    iterative_stddev:
      x: 0.16
      xy: 0.29
      y: 0.24
    mean:
      x: 0.08
      xy: 0.34
      y: -0.34
    stddev:
      x: 1.34
      xy: 2.34
      y: 1.92
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 54.05542118307503
    cloud: 34.58734377125491
    cloud_shadow: 10.988148679002393
    snow: 0.15998951562868075
    water: 0.2090968510389813
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 35.18970408193735
    cloud: 64.81029591806265
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
